Poll Discovered URLs Status
curl --request POST \
--url https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/knowledge-base/website/{parentUniqueId}/discovered-urls/status/poll \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"uniqueId": [
"fb45bb1e-bc81-45a8-85be-36b2aa4f289e",
"c2847dcd-636c-4e7a-9217-593ccf2a7bb1"
]
}
'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/knowledge-base/website/{parentUniqueId}/discovered-urls/status/poll"
payload = { "uniqueId": ["fb45bb1e-bc81-45a8-85be-36b2aa4f289e", "c2847dcd-636c-4e7a-9217-593ccf2a7bb1"] }
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
uniqueId: ['fb45bb1e-bc81-45a8-85be-36b2aa4f289e', 'c2847dcd-636c-4e7a-9217-593ccf2a7bb1']
})
};
fetch('https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/knowledge-base/website/{parentUniqueId}/discovered-urls/status/poll', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"fb45bb1e-bc81-45a8-85be-36b2aa4f289e": "processed",
"c2847dcd-636c-4e7a-9217-593ccf2a7bb1": "discovered"
}
}Knowledge Base
Poll Discovered URLs Status
Retrieves the processing status of discovered URLs by their unique IDs. Use this endpoint to monitor the progress of URL crawling within a parent website crawl. Behavior: Only returns records for
POST
/
ai-agents
/
agent-builder
/
knowledge-base
/
website
/
{parentUniqueId}
/
discovered-urls
/
status
/
poll
Poll Discovered URLs Status
For the complete error reference, see Error Guide.
Authorizations
API Key (i.e. Rest API Key from the Dashboard).
Path Parameters
Parent website crawl unique ID
Example:
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Body
application/json
Array of discovered URL unique IDs to query status for
Array of discovered URL unique IDs to query status for
Example:
[
"fb45bb1e-bc81-45a8-85be-36b2aa4f289e",
"c2847dcd-636c-4e7a-9217-593ccf2a7bb1"
]
Response
200 - application/json
Status for requested discovered URLs (omits non-existing uniqueIds)
The response is of type object.
Was this page helpful?
⌘I